Apache Tomcat 6.0.53

## org.apache.tomcat.util.buf
Interface CharChunk.CharOutputChannel

All Known Implementing Classes:
  InputBuffer

Enclosing class:
  CharChunk

    public static interface CharChunk.CharOutputChannel

When we need more space we'll either grow the buffer ( up to the limit ) or send it to a channel.

Method Summary
`void` | `realWriteChars(char[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteChars

    void realWriteChars(char[] cbuf,
                        int off,
                        int len)
                        throws java.io.IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `java.io.IOException`

Apache Tomcat 6.0.53

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.